#
# Base class routines
#

base_do_compile() {
	log "Nothing to do to compile '$package'"
}

base_do_install() {
	log "Nothing to do to install '$package'"
}

base_do_clean() {
	if [ "$buildDir" -ef "$srcDir" ]; then
		log "Nothing to do to clean '$package'"
	else
		log_exec "rm -rf $buildDir/*"
	fi
}

base_do_clean_append() {
	if [ -n "$installDir" -a -r "$installDir" ]; then
		log_exec "rm -rf $installDir"
	fi
	if [ -n "$nativeInstallDir" -a -r "$nativeInstallDir" ]; then
		log_exec "rm -rf $nativeInstallDir"
	fi
}


# Backward compatibility layer
do_fetch() {
	do_buildstep "$@"
}

do_import() {
	do_buildstep "$@"
}

do_install() {
	do_buildstep "$@"
}


# Yocto-compatibility layer
oe_soinstall() {
	do_install_sofile "$@"
}
oe_libinstall() {
	do_install_library "$@"
}
