#
# Class to disable binconfig files instead of installing them
#

# The list of scripts which should be disabled has to be provided in BINCONFIG

append_to_shell_variable "pattern_${PN}-dev" '${bindir}/*-config' '${base_bindir}/*-config'

binconfig_disabled_do_install_append () {
	local config
	for config in ${BINCONFIG}; do
		# Make the disabled config script emit invalid parameters for those configure
		# scripts which call it without checking the return code.
		cat > ${D}$config <<- EOF
			#!/bin/sh
			echo 'ERROR: $x should not be used, use an alternative such as pkg-config' >&2
			echo '--should-not-have-used-$x'
			exit 1
		EOF
		log_exec chmod +x ${D}$config
	done
}

: ${bindir_crossscripts:=$bindir/crossscripts}

binconfig_disabled_do_populate_sysroot_prepend() {
	local config staging_dir
	local scriptdir=${bindir_crossscripts#${SYSROOT_LOC%/}}
	if $recipe_is_native || $recipe_is_cross; then
		staging_dir=$NATIVE_STAGING_LOC
		install_dir=$nativeInstallDir
	else
		staging_dir=$TARGET_STAGING_LOC
		install_dir=$installDir
	fi
	for config in ${BINCONFIG}; do
		configname=$(basename $config)
		configfile=${config#${SYSROOT_LOC%/}}
		log_exec install -d ${staging_dir}${scriptdir}
		log_exec install ${install_dir}${configfile} ${staging_dir}${scriptdir}
	done
}
