#
# Utility variables and functions for qmake invokation
#

: ${dest_dir:="INSTALL_ROOT"}

has_pro_file_in() {
	local dir="$1"
	if [ -z "$dir" ]; then dir="$buildDir"; fi
	dir=$(readlink -m $dir)
	local profile
	for profile in *.pro; do
		if [ -r "$dir/$profile" ]; then
			return 0
		fi
	done
	return 1
}

check_pro_file() {
	local buildDir="."
	if [[ " $* " =~ " -C " ]]; then
		local buildDir="$(echo " $* " | sed -e 's/^.*-C[[:space:]]*\([^[:space:]]*\).*$/\1/')"
	fi
	if ! has_pro_file_in $buildDir; then
		log "Nothing to do for compiling $recipe_name"
		return 1
	fi
	return 0
}

# Buildstep defaults
qmake_do_configure() {
	do_qmake "$@"
}

do_qmake() {
	if ! check_pro_file "$@"; then return 0; fi
	mapfile -t qmake_build_options < <(split_in_words "$qmake_other_flags")
	log_exec qmake -makefile "${qmake_build_options[@]}" "$@"
}
