######################################################################################################################
#                                                                                                                    #
#                                                JFFS2 Rootfs utilities                                                   #
#                                                                                                                    #
######################################################################################################################



##################################################
# Generate the JFFS2 image using mkfs.jffs2
# --root=DIR
# --pad[=SIZE] 
# --pagesize=SIZE
# --little-endian
# --big-endian
# --no-cleanmarkers
# --faketime
# --squash
# --output=FILE
##################################################
jffs2_generate() {
	local imgRoot="$1"
	local imgType="${2:-jffs2}"
	local imgName="$3"
	echo "Creating JFFS2 IMAGE in $imagesDir/$imgName.${imgType}"
	log_exec mkfs.jffs2 --root=${imgRoot} --faketime --output=${imagesDir}/${imgName}.${imgType} --pad --eraseblock=0x40000 --no-cleanmarkers ${JFFS2_EXTRA_IMAGECMD}
}