######################################################################################################################
#                                                                                                                    #
#                                                Tarball Rootfs utilities                                            #
#                                                                                                                    #
######################################################################################################################


##################################################
# Generate the tarball image
# (default: tar.bz2)
##################################################
tarfs_generate() {
	local imgRoot="${1:-$rootfsDir}"
	local imgType="${2:-tar.bz2}"
	local imgName="$3"
	if [ -z "$imgName" ]; then
		imgName=$(basename $imgRoot)
	fi

	case $imgType in
		tar.bz2)
			echo "Creating TAR.BZ2 IMAGE in $imagesDir/$imgName.tar.bz2"
			log_exec tar cpjf $imagesDir/$imgName.tar.bz2 -C $imgRoot .
			;;
		tar.gz)
			echo "Creating TAR.GZ IMAGE in $imagesDir/$imgName.tar.gz"
			log_exec tar cpzf $imagesDir/$imgName.tar.gz -C $imgRoot .
			;;
		tar.xz)
			echo "Creating TAR.XZ IMAGE in $imagesDir/$imgName.tar.xz"
			log_exec tar cpJf $imagesDir/$imgName.tar.xz -C $imgRoot .
			;;
		*)
			echo "Creating TAR.BZ2 IMAGE in $imagesDir/$imgName.tar.bz2"
			log_exec tar cpjf $imagesDir/$imgName.tar.bz2 -C $imgRoot .
			;;
	esac
}